Fetching a device
curl --request GET \
--url https://api.vizito.eu/api/companies/{company_id}/devices/{device_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizito.eu/api/companies/{company_id}/devices/{device_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/companies/{company_id}/devices/{device_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/companies/{company_id}/devices/{device_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "5f2a1b9c4d3e2f0011223344",
"name": "<string>",
"device_uuid": "<string>",
"connected": true,
"last_online": "2023-11-07T05:31:56Z",
"entrypoint_id": "5f2a1b9c4d3e2f0011223344",
"model": "<string>",
"platform": "<string>",
"platform_version": "<string>",
"app_version": "<string>",
"ip_address": "<string>",
"printer": "<string>"
}{
"message": "<string>"
}{
"error": "Invalid API key"
}Devices
Fetching a device
One kiosk. Adding, renaming, moving and removing kiosks is Backoffice work — a mistake takes a tablet out of service at an entrance.
GET
/
companies
/
{company_id}
/
devices
/
{device_id}
Fetching a device
curl --request GET \
--url https://api.vizito.eu/api/companies/{company_id}/devices/{device_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizito.eu/api/companies/{company_id}/devices/{device_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/companies/{company_id}/devices/{device_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/companies/{company_id}/devices/{device_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "5f2a1b9c4d3e2f0011223344",
"name": "<string>",
"device_uuid": "<string>",
"connected": true,
"last_online": "2023-11-07T05:31:56Z",
"entrypoint_id": "5f2a1b9c4d3e2f0011223344",
"model": "<string>",
"platform": "<string>",
"platform_version": "<string>",
"app_version": "<string>",
"ip_address": "<string>",
"printer": "<string>"
}{
"message": "<string>"
}{
"error": "Invalid API key"
}Authorizations
An API key issued in the Backoffice, sent as Authorization: Bearer vzk_<key id>_<secret>.
A Microsoft Entra ID access token obtained with the client credentials
grant is accepted on the same header. The same value is also accepted in
an X-API-Key header.
Path Parameters
The location. A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"
A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"
Response
The kiosk.
A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"
Stable identifier; what webhook device events name.
A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"

